void draw_moon_part(s3dmasspoint part)
{
	glPushMatrix();
	glBindTexture ( GL_TEXTURE_2D, 1 );
	GLUquadricObj*	q = gluNewQuadric ( );
	gluQuadricDrawStyle ( q, GLU_FILL   );
	gluQuadricNormals   ( q, GLU_SMOOTH );
	gluQuadricTexture   ( q, GL_TRUE    );
	glTranslatef(part.pos.x, part.pos.y, part.pos.z);
	glRotatef(part.rot.x, 1, 0, 0);
	glRotatef(part.rot.y, 0, 1, 0);
	glRotatef(part.rot.z, 0, 0, 1);
	gluSphere ( q, part.radius, 20, 20 );
	gluDeleteQuadric ( q );	
	glPopMatrix();
}

void draw_earth()
{
	glPushMatrix();	
	glBindTexture ( GL_TEXTURE_2D, 0 );
	GLUquadricObj*	q = gluNewQuadric ( );
	gluQuadricDrawStyle ( q, GLU_FILL   );
	gluQuadricNormals   ( q, GLU_SMOOTH );
	gluQuadricTexture   ( q, GL_TRUE    );
	glTranslatef(earth.pos.x, earth.pos.y, earth.pos.z);
	glRotatef(earth.rot.x, 1, 0, 0);
	glRotatef(earth.rot.y, 0, 1, 0);
	glRotatef(earth.rot.z, 0, 0, 1);
	gluSphere ( q, earth.radius, 20, 20 );
	gluDeleteQuadric ( q );
	glPopMatrix();
}



void draw_space()
{
	glPushMatrix();	
	glBindTexture ( GL_TEXTURE_2D, 2 );
	GLUquadricObj*	q = gluNewQuadric ( );
	gluQuadricDrawStyle ( q, GLU_FILL   );
	gluQuadricNormals   ( q, GLU_SMOOTH );
	gluQuadricTexture   ( q, GL_TRUE    );
	glRotatef(64, 1, 0, 0);
	gluSphere ( q, 100, 20, 20 );
	gluDeleteQuadric ( q );
	glPopMatrix();
}



void drawOrigin()
{
	glBegin(GL_LINES);
		for (int i=0; i<=40; i++)
		{
			if (i!=0)
			{
				//glColor3f(0.0f,1.0f,0.0f);	
			
				glVertex3f(-2.0f, 0.0f, 0.0f+i*-0.1);
				glVertex3f(2.0f, 0.0f,  0.0f+i*-0.1);
				glVertex3f(-2.0+i*0.1, 0.0f, 0.0f);
				glVertex3f(-2.0+i*0.1, 0.0f, 2.0f*-2.0f);
				glVertex3f(0.0f, -2.0f+i*0.1, 0.0f);
				glVertex3f(0.0f, -2.0f+i*0.1, 2.0f*-2.0f);
				glVertex3f(0.0f, -2.0f, 0.0f-i*0.1f);
				glVertex3f(0.0f, 2.0f,  0.0f-i*0.1f);
			}
			else
			{
				//glColor3f(1.0f,1.0f,1.0f);	
				glVertex3f(-2.0f, 0.0f, 0.0f);
				glVertex3f(2.0f, 0.0f,  0.0f);
				glVertex3f(0.0f, -2.0f, 0.0f);
				glVertex3f(0.0f, 2.0f,  0.0f);
				glVertex3f(0.0f, 0.0f, 0.0f);
				glVertex3f(0.0f, 0.0f, -4.0f);
				//glColor3f(0.0f,1.0f,0.0f);
				glVertex3f(-2.0f, 0.0f, 0.0f);
				glVertex3f(-2.0f, 0.0f, -4.0f);
				glVertex3f(0.0f, -2.0f, 0.0f);
				glVertex3f(0.0f, -2.0f, -4.0f);
			}
	}
	glEnd();
}