#include "CWin32Mouse.h"
#include <stdio.h>

CWin32Mouse::CWin32Mouse()
{
	resetMouse();	
}

void CWin32Mouse::resetMouse()
{
	winCenterX      = MAX_MOUSESTEP;
	winCenterY      = MAX_MOUSESTEP;
	SetCursorPos(winCenterX, winCenterY);
}

POINT CWin32Mouse::getRelativeMovement()
{
	relPixelsX = 0;
	relPixelsY = 0;

	GetCursorPos(&mPoint);		
	
	aktX = mPoint.x;
	aktY = mPoint.y;
	
	if (aktX < winCenterX)  relPixelsX = aktX - winCenterX; //Links Negativ
	if (aktX > winCenterX)  relPixelsX = aktX - winCenterX; //Rechts Positiv
	if (aktY < winCenterY)  relPixelsY = aktY - winCenterY; //Oben Negativ
	if (aktY > winCenterY)  relPixelsY = aktY - winCenterY; //Unten Positiv

	if (relPixelsX > (MAX_MOUSESTEP))	relPixelsX = MAX_MOUSESTEP;
	if (relPixelsY > (MAX_MOUSESTEP))   relPixelsY = MAX_MOUSESTEP;

	mPoint.x = relPixelsX;
	mPoint.y = relPixelsY;

	SetCursorPos(winCenterX, winCenterY);

	return mPoint;
}